> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile Details

> - Get comprehensive profile data, including experience, education history, and current company details. 

 - 2 credits per call. 

 - Using each extra option will cost another 1 credit.

```bash cURL theme={null}
curl --request GET \
	--url 'https://live-fetch.p.rapidapi.com/enrich-lead?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fcjfollini%2F&include_languages=false&include_skills=false&include_certifications=false&include_profile_status=false&include_company_public_url=true' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/enrich-lead"

querystring = {
    "linkedin_url": "https://www.linkedin.com/in/cjfollini/",
    "include_languages": "false",
    "include_skills": "false",
    "include_certifications": "false",
    "include_profile_status": "false",
    "include_company_public_url": "true"
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript JavaScript theme={null}
const params = new URLSearchParams({
	linkedin_url: 'https://www.linkedin.com/in/cjfollini/',
	include_languages: 'false',
	include_skills: 'false',
	include_certifications: 'false',
	include_profile_status: 'false',
	include_company_public_url: 'true'
});

const url = `https://live-fetch.p.rapidapi.com/enrich-lead?${params}`;
const options = {
	method: 'GET',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
	}
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$query = http_build_query([
	'linkedin_url' => 'https://www.linkedin.com/in/cjfollini/',
	'include_languages' => 'false',
	'include_skills' => 'false',
	'include_certifications' => 'false',
	'include_profile_status' => 'false',
	'include_company_public_url' => 'true'
]);

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/enrich-lead?" . $query,
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "GET",
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"net/url"
)

func main() {
	params := url.Values{}
	params.Add("linkedin_url", "https://www.linkedin.com/in/cjfollini/")
	params.Add("include_languages", "false")
	params.Add("include_skills", "false")
	params.Add("include_certifications", "false")
	params.Add("include_profile_status", "false")
	params.Add("include_company_public_url", "true")

	req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/enrich-lead?"+params.Encode(), nil)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/enrich-lead?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fcjfollini%2F&include_languages=false&include_skills=false&include_certifications=false&include_profile_status=false&include_company_public_url=true"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.method("GET", HttpRequest.BodyPublishers.noBody())
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml GET /enrich-lead
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /enrich-lead:
    get:
      description: >-
        - Get comprehensive profile data, including experience, education
        history, and current company details. 

         - 2 credits per call. 

         - Using each extra option will cost another 1 credit.
      parameters:
        - name: linkedin_url
          in: query
          required: true
          schema:
            type: string
            format: uri
            example: https://www.linkedin.com/in/cjfollini/
          description: >-
            A valid LinkedIn profile URL — both public ID format
            (https://www.linkedin.com/in/stephenlee4244315) and URN format
            (https://www.linkedin.com/sales/lead/ACwAAALW9HABcVdR-UuroyOHoL2iuUob1F_yDRY)
            are accepted.
        - name: include_skills
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
          description: >-
            Whether to include skills in the profile details. Enabling this
            option will consume 1 more credit.
        - name: include_certifications
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
          description: >-
            Whether to include certifications in the profile details. Enabling
            this option will consume 1 more credit.
        - name: include_languages
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
          description: >-
            Whether to include languages in the profile details. Enabling this
            option will consume 1 more credit.
        - name: include_profile_status
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
          description: >-
            Whether to include the profile status. Enabling this option will
            consume 1 more credit.
        - name: include_company_public_url
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'true'
          description: >-
            Whether to include the public URL of the company associated with the
            profile. Free (no extra credit).
      responses:
        '200':
          description: Personal profile response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonalProfile'
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PersonalProfile:
      type: object
      properties:
        message:
          type: string
          example: ok
        data:
          type: object
          properties:
            linkedin_url:
              type: string
              format: uri
              example: https://linkedin.com/in/anthonyjames
            first_name:
              type: string
              example: Anthony
            last_name:
              type: string
              example: James
            full_name:
              type: string
              example: Anthony James
            location:
              type: string
              example: Sydney, Australia
            city:
              type: string
              example: Sydney
            state:
              type: string
              example: New South Wales
            country:
              type: string
              example: Australia
            headline:
              type: string
              example: Technology Leader & Innovator
            about:
              type: string
              example: Experienced leader in marketing and technology.
            email:
              type: string
              format: email
              example: example@example.com
            phone:
              type: string
              example: '+61234567890'
            profile_image_url:
              type: string
              format: uri
              example: https://example.com/profile.jpg
            follower_count:
              type: integer
              example: 20000
            connection_count:
              type: integer
              example: 15000
            is_creator:
              type: boolean
              example: false
            is_influencer:
              type: boolean
              example: false
            is_premium:
              type: boolean
              example: true
            is_verified:
              type: boolean
              example: true
            job_title:
              type: string
              example: CEO
            current_job_duration:
              type: string
              example: 8 years 2 months
            current_company_join_month:
              type: integer
              example: 3
            current_company_join_year:
              type: integer
              example: 2015
            company:
              type: string
              example: Trinity Consulting Services
            company_description:
              type: string
              example: A global leader in technology consulting.
            company_domain:
              type: string
              example: trinity.com
            company_employee_range:
              type: string
              example: 201-500
            company_employee_count:
              type: integer
              example: 350
            company_industry:
              type: string
              example: Technology Consulting
            company_linkedin_url:
              type: string
              format: uri
              example: https://linkedin.com/company/trinity
            company_logo_url:
              type: string
              format: uri
              example: https://example.com/logo.png
            company_website:
              type: string
              format: uri
              example: https://trinity.com
            company_year_founded:
              type: integer
              example: 1990
            hq_city:
              type: string
              example: Sydney
            hq_country:
              type: string
              example: Australia
            hq_region:
              type: string
              example: New South Wales
            school:
              type: string
              example: University of Technology Sydney
            skills:
              type: string
              example: Leadership|Innovation|Marketing
            urn:
              type: string
              example: ACoAAAGafwYBi3pXOoVVwIyAFc453DuIv50jfTA
            experiences:
              type: array
              items:
                type: object
                properties:
                  company:
                    type: string
                    example: ABC Tech
                  company_id:
                    type: string
                    example: '1035'
                  company_linkedin_url:
                    type: string
                    example: https://www.linkedin.com/company/1035/
                    format: uri
                  company_logo_url:
                    type: string
                    format: uri
                    example: https://example.com/logo.png
                  company_public_url:
                    type: string
                    format: uri
                    nullable: true
                    example: https://www.linkedin.com/company/abc-tech/
                    description: Returned when include_company_public_url=true.
                  title:
                    type: string
                    example: Senior Consultant
                  location:
                    type: string
                    example: Melbourne, Australia
                  description:
                    type: string
                    example: Led multiple IT projects.
                  job_type:
                    type: string
                    example: Full-time
                  skills:
                    type: string
                    example: Project Management|IT Consulting
                  date_range:
                    type: string
                    example: Jan 2010 - Dec 2015
                  start_month:
                    type: integer
                    example: 1
                  start_year:
                    type: integer
                    example: 2010
                  end_month:
                    type: integer
                    example: 12
                  end_year:
                    type: integer
                    example: 2015
                  duration:
                    type: string
                    example: 6 yrs
                  is_current:
                    type: boolean
                    example: false
            educations:
              type: array
              items:
                type: object
                properties:
                  school:
                    type: string
                    example: University of Technology Sydney
                  school_id:
                    type: string
                    example: '15094'
                  school_linkedin_url:
                    type: string
                    example: https://www.linkedin.com/company/15094/
                    format: uri
                  school_logo_url:
                    type: string
                    example: https://example.com/school-logo.png
                    format: uri
                  degree:
                    type: string
                    example: MBA
                  field_of_study:
                    type: string
                    example: Business Administration
                  date_range:
                    type: string
                    example: 2005 - 2007
                  start_month:
                    type: string
                    example: ''
                  start_year:
                    type: integer
                    example: 2005
                  end_month:
                    type: string
                    example: ''
                  end_year:
                    type: integer
                    example: 2007
                  activities:
                    type: string
                    example: Student Union President
            certifications:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    example: Project Management Professional (PMP)
                  authority:
                    type: string
                    example: PMI
                  issued:
                    type: string
                    format: date
                    example: 2021-01
                  url:
                    type: string
                    format: uri
                    example: https://example.com/certificate
              description: Returned when include_certifications=true.
            languages:
              type: array
              description: Returned when include_languages=true.
              items:
                type: object
                properties:
                  name:
                    type: string
                    example: English
                  proficiency:
                    type: string
                    example: Native or bilingual proficiency
            profile_id:
              type: string
              example: profile123
            profile_status:
              type: object
              description: Returned when include_profile_status=true.
              properties:
                joined_date:
                  type: string
                  example: June 2008
                verified:
                  type: boolean
                  example: true
                profile_photo_updated:
                  type: string
                  example: Updated over 1 year ago
                contact_info_updated:
                  type: string
                  example: Updated over 1 year ago
                verifications:
                  type: array
                  items:
                    type: object
                    properties:
                      method:
                        type: string
                        example: Workplace
                      description:
                        type: string
                        example: Verified using work email
                      time:
                        type: string
                        example: Less than 1 year ago
            public_id:
              type: string
              example: anthony-james
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.